com.tibbo.aggregate.common.server

## Interface WidgetContextConstants

-     public interface WidgetContextConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_EDIT_TEMPLATE`
    `static java.lang.String` | `A_LAUNCH`
    `static java.lang.String` | `AG_BUILDER_ADDRESS`
    `static java.lang.String` | `AG_BUILDER_CONTEXT_TEMPLATE`
    `static java.lang.String` | `AG_BUILDER_DEFAULT_CONTEXT`
    `static java.lang.String` | `AG_BUILDER_PASSWORD`
    `static java.lang.String` | `AG_BUILDER_PORT`
    `static java.lang.String` | `AG_BUILDER_PROTOCOL`
    `static java.lang.String` | `AG_BUILDER_USERNAME`
    `static java.lang.String` | `COMPONENT_CONNECTOR`
    `static java.lang.String` | `COMPONENT_ROOT_PANEL`
    `static int` | `EncodingCopyRect`
    `static int` | `EncodingCoRRE`
    `static int` | `EncodingHextile`
    `static int` | `EncodingRaw`
    `static int` | `EncodingRRE`
    `static java.lang.String` | `F_PROPERTY`
    `static java.lang.String` | `F_VALUE`
    `static java.lang.String` | `FIELD_GENERATE_ATTACHED_EVENTS`
    `static java.lang.String` | `FIELD_WIDGET_ALLOW_VALIDITY_FOR_REMOTE_CONTEXTS`
    `static java.lang.String` | `FIELD_WIDGET_DEFAULT_CONTEXT`
    `static java.lang.String` | `FIELD_WIDGET_DEFAULT_DASHBOARD`
    `static java.lang.String` | `FIELD_WIDGET_DEFAULT_LOCATION`
    `static java.lang.String` | `FIELD_WIDGET_DESCRIPTION`
    `static java.lang.String` | `FIELD_WIDGET_NAME`
    `static java.lang.String` | `FIELD_WIDGET_RESOURCE_BUNDLE`
    `static java.lang.String` | `FIELD_WIDGET_TEMPLATE`
    `static java.lang.String` | `FIELD_WIDGET_TYPE`
    `static java.lang.String` | `FIELD_WIDGET_VALIDITY_EXPRESSION`
    `static java.lang.String` | `FIELD_WIDGET_VALIDITY_LISTENERS`
    `static java.lang.String` | `V_RUNTIME_DATA`
    `static java.lang.String` | `V_TEMPLATE`
    `static int` | `WEB_WIDGETS_MODE_APPLET`
    `static int` | `WEB_WIDGETS_MODE_MOBILE`
    `static java.lang.String` | `WIDGETS_PLUGIN_ENCODING`
    `static java.lang.String` | `WIDGETS_PLUGIN_ID`
    `static java.lang.String` | `WIDGETS_PLUGIN_PROHIBITS_SCRIPT_EXECUTION`
    `static java.lang.String` | `WIDGETS_PLUGIN_REFRESH_RATE`
    `static java.lang.String` | `WIDGETS_PLUGIN_V_WIDGET_SETTINGS`
    `static java.lang.String` | `WIDGETS_PLUGIN_WEBAPPS_WEB_WIDGETS_MODE`

- - ### Field Detail

    - #### V_RUNTIME_DATA

          static final java.lang.String V_RUNTIME_DATA

      See Also:
        Constant Field Values

    - #### V_TEMPLATE

          static final java.lang.String V_TEMPLATE

      See Also:
        Constant Field Values

    - #### F_VALUE

          static final java.lang.String F_VALUE

      See Also:
        Constant Field Values

    - #### F_PROPERTY

          static final java.lang.String F_PROPERTY

      See Also:
        Constant Field Values

    - #### A_LAUNCH

          static final java.lang.String A_LAUNCH

      See Also:
        Constant Field Values

    - #### A_EDIT_TEMPLATE

          static final java.lang.String A_EDIT_TEMPLATE

      See Also:
        Constant Field Values

    - #### FIELD_WIDGET_NAME

          static final java.lang.String FIELD_WIDGET_NAME

      See Also:
        Constant Field Values

    - #### FIELD_WIDGET_DESCRIPTION

          static final java.lang.String FIELD_WIDGET_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_WIDGET_TEMPLATE

          static final java.lang.String FIELD_WIDGET_TEMPLATE

      See Also:
        Constant Field Values

    - #### FIELD_WIDGET_TYPE

          static final java.lang.String FIELD_WIDGET_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_WIDGET_VALIDITY_EXPRESSION

          static final java.lang.String FIELD_WIDGET_VALIDITY_EXPRESSION

      See Also:
        Constant Field Values

    - #### FIELD_WIDGET_VALIDITY_LISTENERS

          static final java.lang.String FIELD_WIDGET_VALIDITY_LISTENERS

      See Also:
        Constant Field Values

    - #### FIELD_GENERATE_ATTACHED_EVENTS

          static final java.lang.String FIELD_GENERATE_ATTACHED_EVENTS

      See Also:
        Constant Field Values

    - #### FIELD_WIDGET_ALLOW_VALIDITY_FOR_REMOTE_CONTEXTS

          static final java.lang.String FIELD_WIDGET_ALLOW_VALIDITY_FOR_REMOTE_CONTEXTS

      See Also:
        Constant Field Values

    - #### FIELD_WIDGET_DEFAULT_CONTEXT

          static final java.lang.String FIELD_WIDGET_DEFAULT_CONTEXT

      See Also:
        Constant Field Values

    - #### FIELD_WIDGET_DEFAULT_LOCATION

          static final java.lang.String FIELD_WIDGET_DEFAULT_LOCATION

      See Also:
        Constant Field Values

    - #### FIELD_WIDGET_DEFAULT_DASHBOARD

          static final java.lang.String FIELD_WIDGET_DEFAULT_DASHBOARD

      See Also:
        Constant Field Values

    - #### FIELD_WIDGET_RESOURCE_BUNDLE

          static final java.lang.String FIELD_WIDGET_RESOURCE_BUNDLE

      See Also:
        Constant Field Values

    - #### WIDGETS_PLUGIN_V_WIDGET_SETTINGS

          static final java.lang.String WIDGETS_PLUGIN_V_WIDGET_SETTINGS

      See Also:
        Constant Field Values

    - #### WIDGETS_PLUGIN_ID

          static final java.lang.String WIDGETS_PLUGIN_ID

      See Also:
        Constant Field Values

    - #### WIDGETS_PLUGIN_WEBAPPS_WEB_WIDGETS_MODE

          static final java.lang.String WIDGETS_PLUGIN_WEBAPPS_WEB_WIDGETS_MODE

      See Also:
        Constant Field Values

    - #### WIDGETS_PLUGIN_PROHIBITS_SCRIPT_EXECUTION

          static final java.lang.String WIDGETS_PLUGIN_PROHIBITS_SCRIPT_EXECUTION

      See Also:
        Constant Field Values

    - #### WIDGETS_PLUGIN_ENCODING

          static final java.lang.String WIDGETS_PLUGIN_ENCODING

      See Also:
        Constant Field Values

    - #### WIDGETS_PLUGIN_REFRESH_RATE

          static final java.lang.String WIDGETS_PLUGIN_REFRESH_RATE

      See Also:
        Constant Field Values

    - #### WEB_WIDGETS_MODE_MOBILE

          static final int WEB_WIDGETS_MODE_MOBILE

      See Also:
        Constant Field Values

    - #### WEB_WIDGETS_MODE_APPLET

          static final int WEB_WIDGETS_MODE_APPLET

      See Also:
        Constant Field Values

    - #### EncodingRaw

          static final int EncodingRaw

      See Also:
        Constant Field Values

    - #### EncodingCopyRect

          static final int EncodingCopyRect

      See Also:
        Constant Field Values

    - #### EncodingRRE

          static final int EncodingRRE

      See Also:
        Constant Field Values

    - #### EncodingCoRRE

          static final int EncodingCoRRE

      See Also:
        Constant Field Values

    - #### EncodingHextile

          static final int EncodingHextile

      See Also:
        Constant Field Values

    - #### AG_BUILDER_PROTOCOL

          static final java.lang.String AG_BUILDER_PROTOCOL

      See Also:
        Constant Field Values

    - #### AG_BUILDER_USERNAME

          static final java.lang.String AG_BUILDER_USERNAME

      See Also:
        Constant Field Values

    - #### AG_BUILDER_PASSWORD

          static final java.lang.String AG_BUILDER_PASSWORD

      See Also:
        Constant Field Values

    - #### AG_BUILDER_ADDRESS

          static final java.lang.String AG_BUILDER_ADDRESS

      See Also:
        Constant Field Values

    - #### AG_BUILDER_PORT

          static final java.lang.String AG_BUILDER_PORT

      See Also:
        Constant Field Values

    - #### AG_BUILDER_CONTEXT_TEMPLATE

          static final java.lang.String AG_BUILDER_CONTEXT_TEMPLATE

      See Also:
        Constant Field Values

    - #### AG_BUILDER_DEFAULT_CONTEXT

          static final java.lang.String AG_BUILDER_DEFAULT_CONTEXT

      See Also:
        Constant Field Values

    - #### COMPONENT_CONNECTOR

          static final java.lang.String COMPONENT_CONNECTOR

      See Also:
        Constant Field Values

    - #### COMPONENT_ROOT_PANEL

          static final java.lang.String COMPONENT_ROOT_PANEL

      See Also:
        Constant Field Values